#
# spec file for package octave-forge-io
#
# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%define octpkg  io
Name:           octave-forge-%{octpkg}
Version:        2.4.8
Release:        lp150.1.4
Summary:        Input/Output in external formats from Octave
License:        GPL-3.0+ and BSD-2-Clause
Group:          Productivity/Scientific/Math
Url:            http://octave.sourceforge.net
Source0:        http://downloads.sourceforge.net/octave/%{octpkg}-%{version}.tar.gz
BuildRequires:  gcc-c++
BuildRequires:  hdf5-devel
BuildRequires:  octave-devel
Requires:       octave-cli >= 3.8.0
Requires:       xerces-j2

%description
Input/Output in external formats.
This is part of Octave-Forge project.

%prep
%setup -q -c %{name}-%{version}
%octave_pkg_src

%build
%octave_pkg_build

%install
%octave_pkg_install

%check
%octave_pkg_test

%post
%octave --eval "pkg rebuild"

%postun
%octave --eval "pkg rebuild"

%files
%defattr(-,root,root)
%{octpackages_dir}/%{octpkg}-%{version}
%{octlib_dir}/%{octpkg}-%{version}

%changelog
* Thu Nov  9 2017 badshah400@gmail.com
- Update to version 2.4.8:
  * csv2cell(): Improve ignoring CR (char (13)) in csv files (bugs
    [#50979] and #50297)
  * OCT interface:
  - More robust identification of worksheets (spreadsheets
    written with POI interface were misinterpreted)
  - Overhauled reading .xlsx files; catches more types:
    inlineString, Boolean, ...
  * read_namelist.m: improve reading when ending char is not fist
    on line (bug #52242)
  * Replace utf82unicode with native2unicode v.v. in Octave 4.4+
  * If no filename extension is given, default to .xlsx rather
    than .xls
  * xlsread.m and odsread.m now accept a function handle, an
    output options struct and interface as arguments after the
    third (range) argument, in any order.
  * all spreadsheet I/O functions now accept an empty string as
    worksheet name, implying the first worksheet.
* Thu Nov 24 2016 dmitry_r@opensuse.org
- Update to version 2.4.5
  * New functions.
  * Bug fixes.
* Sat Sep 17 2016 dmitry_r@opensuse.org
- Update to version 2.4.3
  * io_xls_testscript.m, io_ods_testscript.m: return results rather
    than bail out when hitting errors
  * cell2csv: increase precision hen writing double values
  * Bug fixes
* Fri Jul  8 2016 dmitry_r@opensuse.org
- Update to version 2.4.2
  * Changed several calls to (now deprecated) octave_config_info into
    calls to __have_feature__.m
  * Add support for complex numbers in read_namelist.m and write_namelist.m
  * Bug fixes
* Fri Jun 10 2016 dmitry_r@opensuse.org
- Update to version 2.4.1
  - xmlread.m and xmlwrite.m as replacement of the undocumented,
    unsupported and unusable binary code.
  - New function tidyxml.m:  simply strips characters < 32 or > 126 from
    character arrays or cell arrays (including mixed cell arrays).
  - test_spsh.m now shows a nice summary of test results for each interface.
* Thu Oct 22 2015 dmitry_r@opensuse.org
- Update to version 2.2.11
  * Bug fixes
* Mon Sep 28 2015 dmitry_r@opensuse.org
- Update to version 2.2.10
  * Support for Named Ranges
  * Bug fixes
* Tue Jul 14 2015 dmitry_r@opensuse.org
- Update to version 2.2.9
  * Bug fixes
* Mon Jun 22 2015 dmitry_r@opensuse.org
- Update to version 2.2.8
  * Bug fixes
* Sun Mar  8 2015 dmitry_r@opensuse.org
- Update to version 2.2.7
  * Bug fixes
* Thu Feb 26 2015 dmitry_r@opensuse.org
- Split from octave-forge package, version 2.2.6
